---------------------
PatchSet 102 
Date: 2002/11/01 02:43:05
Author: rbcollins
Branch: esi
Tag: (none) 
Log:
esiRemoveAdd->esiRemove::addElement

Members: 
	src/ESI.cc:1.1.2.11->1.1.2.12 

Index: squid3/src/ESI.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/ESI.cc,v
retrieving revision 1.1.2.11
retrieving revision 1.1.2.12
diff -u -r1.1.2.11 -r1.1.2.12
--- squid3/src/ESI.cc	1 Nov 2002 02:35:33 -0000	1.1.2.11
+++ squid3/src/ESI.cc	1 Nov 2002 02:43:05 -0000	1.1.2.12
@@ -1,6 +1,6 @@
 
 /*
- * $Id: ESI.cc,v 1.1.2.11 2002/11/01 02:35:33 rbcollins Exp $
+ * $Id: ESI.cc,v 1.1.2.12 2002/11/01 02:43:05 rbcollins Exp $
  *
  * DEBUG: section 86    ESI processing
  * AUTHOR: Robert Collins
@@ -198,8 +198,6 @@
 struct esiInclude;
 static void esiIncludeSubRequestDone (esiInclude *, esiStreamContext *, int);
 
-static esiAddElement esiRemoveAdd;
-
 static esiAddElement esiTryAdd;
 static esiProcessSelf esiTryProcess;
 
@@ -225,7 +223,7 @@
 static esiElementType _esiLiteral  = {addSelf,esiLiteralProcess};
 static esiElementType _esiSequence = {addSelf,esiSequenceProcess};
 static esiElementType _esiInclude  = {addSelf, esiIncludeProcess};
-static esiElementType _esiRemove   = {esiRemoveAdd, esiProcessComplete};
+static esiElementType _esiRemove   = {addSelf, esiProcessComplete};
 static esiElementType _esiTry      = {esiTryAdd, esiTryProcess};
 /* esiAttempt, esiExcept, esiVar, esiWhen and esiOtherwise are 'Sequences' */
 static esiElementType _esiAttempt  = {addSelf,esiSequenceProcess};
@@ -326,6 +324,7 @@
 
     esiRemove();
     void render(esiSegment *);
+    bool addElement (esiElement *);
 };
 CBDATA_TYPE (esiRemove);
 static FREE esiRemoveFree;
@@ -2249,10 +2248,10 @@
 
 /* Accept non-ESI children */
 bool
-esiRemoveAdd (esiElement *data, esiElement *element)
+esiRemove::addElement (esiElement *element)
 {
     if (element->Vptr != & _esiLiteral) {
-	debug (86,5)("esiRemoveAdd: Failed for %p\n",data);
+	debug (86,5)("esiRemoveAdd: Failed for %p\n",this);
 	return false;
     }
     cbdataFree (element);
